Description

Hello,

When I try to go on Prewikka 1.2.5 statistics, I've got this error :

Traceback (most recent call last):

File "/usr/local/lib/python2.7/dist-packages/prewikka/Core.py", line 358, in process

getattr(view_object, view["handler"])()

File "/usr/local/lib/python2.7/dist-packages/prewikka/views/stats.py", line 504, in render

self._renderClassificationsTrend(criteria)

File "/usr/local/lib/python2.7/dist-packages/prewikka/views/stats.py", line 493, in renderClassificationsTrend

"alert.classification.text", criteria, limit = 10, zoom_type="classifications_trend")

File "/usr/local/lib/python2.7/dist-packages/prewikka/views/stats.py", line 448, in _addTimelineChart

timeline.render(title)

File "/usr/local/lib/python2.7/dist-packages/prewikka/Chart.py", line 292, in render

fname = self._getFilename(name, expire, uid, gid);

File "/usr/local/lib/python2.7/dist-packages/prewikka/Chart.py", line 161, in _getFilename

fd, self._filename = tempfile.mkstemp(prefix = basename + "", suffix = suffix, dir = pathname)

File "/usr/lib/python2.7/tempfile.py", line 308, in mkstemp

return _mkstemp_inner(dir, prefix, suffix, flags)

File "/usr/lib/python2.7/tempfile.py", line 239, in _mkstemp_inner

fd = _os.open(file, flags, 0600)

OSError: [Errno 2] Aucun fichier ou dossier de ce type:

'/usr/local/share/prewikka/htdocs/generated_images/Z3ZhZG1pbg==/VG9wIDEwIGRlcyBjbGFzc2lmaWNhdGlvbnMgKHRlbm

RhbmNlKQ==_OTIu0o.png'

This is my htdocs directory.

"generated_images" directory is empty.

[root] >> ls -l /usr/local/share/prewikka/htdocs

total 16

drwxr-xr-x 2 root staff 4096 févr. 19 11:04 css

drwxr-sr-x 2 root staff 4096 févr. 19 11:04 generated_images

drwxr-xr-x 2 root staff 4096 févr. 19 11:04 images

drwxr-xr-x 2 root staff 4096 févr. 19 11:04 js

Best regards,

History

#1 - 02/29/2016 05:04 PM - Antoine LUONG

- Status changed from New to Assigned

- Assignee set to Antoine LUONG

Hello,

Can you tell us which web server you are currently using?

Does the same problem occur with prewikka-httpd?

Regards

05/06/2024 1/2



#2 - 03/01/2016 09:06 AM - oran geade

Hello,

I'm using apache2 (2.4.10).

Not the same problem, it works with prewikka-httpd.

#3 - 03/01/2016 10:00 AM - oran geade

My apache configuration :

        Setenv PREWIKKA_CONFIG "/usr/local/etc/prewikka/prewikka.conf" 

        Alias /prewikka/ /usr/local/share/prewikka/htdocs/

        ScriptAlias /prelude /usr/local/share/prewikka/cgi-bin/prewikka.cgi

        <Directory /usr/local/share/prewikka/htdocs/>

            Options None

            AllowOverride None

            Require all granted

        </Directory>

        <Directory /usr/local/share/prewikka/cgi-bin/>

            AllowOverride None

            Options ExecCGI

            <IfModule mod_mime.c>

                AddHandler cgi-script .cgi

            </IfModule>

            Require all granted

        </Directory>

#4 - 03/01/2016 07:03 PM - Antoine LUONG

Hello,

To make this work the Apache user should have the write permission in the generated_images directory.

#5 - 03/02/2016 08:27 AM - oran geade

Ok thanks, it works.

#6 - 03/02/2016 10:07 AM - Antoine LUONG

- Status changed from Assigned to Resolved
